=== debian/changelog ===
xstarfish (1.1-11ubuntu1) oneiric; urgency=low

  * Fix build failure with ld --as-needed. LP: #832847.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Sep 2011 10:22:33 +0200

xstarfish (1.1-11) unstable; urgency=low

  * New maintainer (Closes: #486776)
  * Updated copyright file
  * Applied patch to discribe -o/--outfile option in man page (Closes: #519008)
    Thanks to Christian Hammers
  * Updated standards version to 3.9.1

 -- Simon Fondrie-Teitler <simonft@riseup.net>  Wed, 11 Aug 2010 23:59:10 -0400

xstarfish (1.1-10) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Make clean not ignore errors.
  * Add proper copyright holders to debian/copyright.
  * Add ${misc:Depends}.
  * Move to section utils as it is not a game.
  * Bump debhelper build-dep to 5.
    + Move DH_COMPAT to debian/compat and set to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 27 Jan 2009 16:05:19 -0500

xstarfish (1.1-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a build dependency on xbitmaps.  Thanks to Daniel Schepler.
    Closes: #364894.

 -- Matej Vela <vela@debian.org>  Fri, 19 May 2006 12:02:47 -0500

xstarfish (1.1-9) unstable; urgency=low

  * upgrades standards

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 29 Aug 2005 15:28:20 +0100

xstarfish (1.1-8) unstable; urgency=low

  * add versioned dependency on debhelper (closes: #260557)
  * changed .TH section of manpage to 1 to match location (thanks lintian)

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  7 Sep 2004 18:52:26 +0100

xstarfish (1.1-7) unstable; urgency=low

  * affect all screens, not just current desktop (closes: #202288)
    thanks to James LewisMoss for the patch

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 21 Jul 2003 20:08:29 +0100

xstarfish (1.1-6) unstable; urgency=low

  * rebuild for usr/doc migration etc

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 31 May 2003 20:52:22 +0100

xstarfish (1.1-5) unstable; urgency=low

  * lintian fix (remove emacs settings from changelog)

 -- Adrian Bridgett <bridgett@debian.org>  Thu, 11 Apr 2002 20:58:11 +0100

xstarfish (1.1-4) unstable; urgency=low

  * add "Conflict: starfish" too (closes: #138816) md5sums were removed a
    while ago.

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  7 Apr 2002 11:06:58 +0100

xstarfish (1.1-3) unstable; urgency=low

  * remove "and" from build depends line (closes: #85063)

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  6 Feb 2001 21:05:30 +0000

xstarfish (1.1-2) unstable; urgency=low

  * add build depends (closes: #84665)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  4 Feb 2001 18:29:43 +0000

xstarfish (1.1-1) unstable; urgency=low

  * new upstream
  * change name to xstarfish since that's what the binary is now called
  * fix menu entry (closes: #79644)

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 23 Dec 2000 18:32:20 +0000

starfish (1.0.b3-2) unstable; urgency=low

  * Doh! don't compile on an XFree86 v4 box (yet)

 -- Adrian Bridgett <bridgett@debian.org>  Fri, 13 Oct 2000 10:05:44 +0100

starfish (1.0.b3-1) unstable; urgency=low

  * new upstream incorporating most fixes but not the enhancements (yet)

 -- Adrian Bridgett <bridgett@debian.org>  Thu, 12 Oct 2000 16:18:53 +0100

starfish (1.0.b1-8) unstable; urgency=low

  * the Tom Lear <tom@trap.mtview.ca.us> edition:
    - fixes misinterpretation of hours,days,weeks... (closes: #68733)
    - adds interpolated zoom option (closes #68753)
    - "-p" option will create $HOME/.xstarfish$DISPLAY.pid file when in
      daemon mode (closes #68765)
    - GPG key seems to be installed now - first upload

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 22 Aug 2000 19:49:45 +0100

starfish (1.0.b1-7) unstable; urgency=low

  * diff was slightly off - it didn't fail for me, but hopefully this
    will fix it (closes: #67065)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 11 Jul 2000 18:40:56 +0100

starfish (1.0.b1-6) unstable; urgency=low

  * fix several bugs for 24bit mode. ripped out all the junk
    and cleaned up what was left - should work everywhere
    (not sure if it's endian-clean) (closes: #64507)
  * added -r option to seed the random number generator for debugging
  * replaces sqrt(powf(x,2)+powf(y,2)) with hypotf(x,y) since it's stacks
    faster (17% in at least one case)
  * TODO: the argument handling needs rewriting using Getopt

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  4 Jul 2000 20:24:56 +0100

starfish (1.0.b1-5) unstable; urgency=low

  * Add manpage (closes: #64423)

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 28 May 2000 20:04:17 +0100

starfish (1.0.b1-4) unstable; urgency=low

  * X windows -> X in package description (thanks to Branden Robinson)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 25 Apr 2000 21:53:46 +0100

starfish (1.0.b1-3) unstable; urgency=low

  * fix thinko on "-s" fix
  * fix final (I hope) memory leak
  * renamed program (but not yet package) to xstarfish to avoid clash with
    xscreensaver (thanks to  Owen Cameron <nemo@nethouse.goldweb.com.au>)

 -- Adrian Bridgett <bridgett@debian.org>  Wed, 19 Apr 2000 18:06:46 +0100

starfish (1.0.b1-2) unstable; urgency=low

  * fixed memory leak
  * doesn't segfault if passsed "-s" last

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 18 Apr 2000 20:00:20 +0100

starfish (1.0.b1-1) unstable; urgency=low

  * initial release.

 -- Adrian Bridgett <bridgett@debian.org>  Wed, 12 Apr 2000 22:50:27 +0100
