## xstarfish 1.1+ds

=== debian/changelog ===
xstarfish (1.1+ds-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:39:49 +1100

xstarfish (1.1+ds-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:46:55 +0000

xstarfish (1.1+ds-2) unstable; urgency=medium

  * QA upload.
  * Change to debhelper-compat.
  * Bump debhelper to 13. Closes: #965913
  * Change to dh sequencer.
    - This includes target build-arch and build-indep.  Closes: #999138
    - Build without dh_verbose.
  * Document Rules-Requires-Root.
  * d/copyright:
    - Update copyright format URI.
    - Update fields to be DEP5 compliant.
    - Add comment why source has been repacked.
  * Patch:
    - New patch to add headers implicitly declared.
    - Renamed patch from ubuntu, now called fix_libraries.patch, update
      header to be DEP3 compliant.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 21 Dec 2021 15:26:23 +0100

xstarfish (1.1+ds-1) unstable; urgency=medium

  * Orphan the package.
  * Repack the .orig tarball to remove binaries from a proprietary MacOS
    tool which cause errors on QA (bad filenames, masquerading as .gz),
    precompiled source, old Debian packaging.  Closes: #392396, #885953
  * Drop pre-cretaceous Provides/Replaces.
  * Ack NMU.  Closes: #810078

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 22 Mar 2020 02:57:33 +0100

xstarfish (1.1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with ld --as-needed. LP: #832847, using patch from doko
    (Closes: #641274)
  * Apply patch for libpng transistion, patch from Nobuhiro(Closes: #635704)
  * Also, change B-D to libpng-dev (Closes: #662570)

 -- Tobias Frost <tobi@debian.org>  Wed, 06 Jan 2016 10:55:22 +0100
