=== debian/control ===
Source: xstarfish
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libpng-dev, libx11-dev, xbitmaps
Standards-Version: 3.9.1
Rules-Requires-Root: no

Package: xstarfish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X wallpaper generator
 XStarfish generates colourful, tiled images for your background using random
 numbers fed through mathematical functions. It does not use source image
 files, so it can generate its images nearly forever without running out of
 material.
