=== debian/rules ===
#!/usr/bin/make -f

# This script uses debhelper by Joey Hess
#export DH_VERBOSE=1

DEB=debian/xstarfish

%:
	dh $@

execute_after_dh_auto_clean:
	rm -f unix/starfish.o

override_dh_auto_install:
	cp starfish $(DEB)/usr/bin/xstarfish

override_dh_installman:
	dh_installman debian/xstarfish.1
